# Uses of Interface
org.springframework.aop.aspectj.annotation.AspectJAdvisorFactory

Packages that use AspectJAdvisorFactory
Package
Description
org.springframework.aop.aspectj.annotation
Classes enabling AspectJ 5 @Annotated classes to be used in Spring AOP.

## Uses of AspectJAdvisorFactory in org.springframework.aop.aspectj.annotation

Classes in org.springframework.aop.aspectj.annotation that implement AspectJAdvisorFactory
Modifier and Type
Class
Description
`class`
`AbstractAspectJAdvisorFactory`
Abstract base class for factories that can create Spring AOP Advisors given AspectJ classes from classes honoring the AspectJ 5 annotation syntax.
`class`
`ReflectiveAspectJAdvisorFactory`
Factory that can create Spring AOP Advisors given AspectJ classes from classes honoring AspectJ's annotation syntax, using reflection to invoke the corresponding advice methods.
Methods in org.springframework.aop.aspectj.annotation with parameters of type AspectJAdvisorFactory
Modifier and Type
Method
Description
`void`
AnnotationAwareAspectJAutoProxyCreator.`setAspectJAdvisorFactory(AspectJAdvisorFactory aspectJAdvisorFactory)`
Constructors in org.springframework.aop.aspectj.annotation with parameters of type AspectJAdvisorFactory
Modifier
Constructor
Description
``
`BeanFactoryAspectJAdvisorsBuilder(org.springframework.beans.factory.ListableBeanFactory beanFactory, AspectJAdvisorFactory advisorFactory)`
Create a new BeanFactoryAspectJAdvisorsBuilder for the given BeanFactory.